<div class="wrapper">
  <div class="inner">
    <div *ngIf="hasErrors">
      <svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
        <symbol id="exclamation-triangle-fill" fill="currentColor" viewBox="0 0 16 16">
          <path d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z"/>
        </symbol>
      </svg>
      <div class="alert alert-danger d-flex align-items-center" role="alert">
        <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Danger:"><use xlink:href="#exclamation-triangle-fill"/></svg>
        <div>
          {{errorMessage}}
        </div>
      </div>
    </div>
    <!-- <img src="images/image-1.png" alt="" class="image-1"> -->
    <h2 class="header"><i class="bi bi-twitter mr-5"></i>Twitter</h2>
    <form method="post" [formGroup]="signinForm" (ngSubmit)="onSubmit()" class="{{cursorLoading}}">
      <h3>Login</h3>
      <div class="form-holder ">
        <span class="lnr lnr-envelope"></span>
        <input type="email" name="email" class="form-control" placeholder="Email" formControlName="email">
      </div>
      <div class="form-holder">
        <span class="lnr lnr-lock"></span>
        <input type="password" name="password" class="form-control" placeholder="Password" formControlName="password">
      </div>
      <button type="submit" class="{{cursorLoading}}">
        <span>Login</span>
      </button>
      <a [routerLink]="['/signup']" class="navigation">Dont have an account ?</a>
    </form>
  </div>

</div>
